package com.sonic.shark.domain.input;

import java.util.List;

/**
 * 校验文本内容是否敏感
 *
 * @author mzc
 */
public class BatchCheckTextInput {

    /** 文本内容 */
    List<String> contentList;

    /**
     * 用户ID
     */
    Long userId;

    /**
     * 性别
     */
    Integer gender;

    /**
     * IP地址
     */
    String ip;

    /**
     * 设备号
     */
    String deviceId;

    /**
     * 业务类型（例：发帖、修改帖子 等）
     */
    String bizType;

    public BatchCheckTextInput() {
    }

    public List<String> getContentList() {
        return contentList;
    }

    public void setContentList(List<String> contentList) {
        this.contentList = contentList;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }
}
